### Constructor

# Gsk BlendNode new

#### Declaration [src]

    GskRenderNode*
    gsk_blend_node_new (
      GskRenderNode* bottom,
      GskRenderNode* top,
      GskBlendMode blend_mode
    )

#### Description [src]

Creates a `GskRenderNode` that will use `blend_mode` to blend the `top` node onto the `bottom` node.

#### Parameters

`bottom` | `GskRenderNode`
| The bottom node to be drawn.
| The data is owned by the caller of the function.
`top` | `GskRenderNode`
| The node to be blended onto the `bottom` node.
| The data is owned by the caller of the function.
`blend_mode` | `GskBlendMode`
| The blend mode to use.

#### Return value

Returns: | `GskBlendNode`
| A new `GskRenderNode`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.